<?php
/**
 * @version		$Id: aup_button.php 1.0 2009-03-05 Aaron G.
 * @package		Agora
 * @copyright	Copyright (C) 2009. All rights reserved.
 * @license		GNU/GPL
 * Agora Forum, avaliable at joomlame.com
 * This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 */

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.plugin.plugin' );


class plgButtonaup_button extends JPlugin
{
	function plgButtonaup_button(& $subject, $config)
	{
		parent::__construct($subject, $config);
	}

	function onDisplay($name)
	{
		global $mainframe;

		$doc 		=& JFactory::getDocument();
		$template 	= $mainframe->getTemplate();

		// button is not active in specific content components

		$getContent = $this->_subject->getContent($name);

		$js = "
			function insertaup_button(editor) {
				var content = $getContent
				jInsertEditorText('{aup admin}', editor);
				
			}
			";

		$doc->addScriptDeclaration($js);

		$button = new JObject();
		$button->set('modal', false);
		$button->set('onclick', 'insertaup_button(\''.$name.'\');return false;');
		$button->set('text', 'Agora Profile Link');
		$button->set('name', 'blank');
		$button->set('link', '#');

		return $button;
	}
}