<?php
/**
* @version $Id: agora_authorbot.php  JoomlaMe Tue, March 10, 2009 1:39 AM
* @package Agora AuthorBot Plus Plugin
* @copyright Copyright (C) Aaron Gilbert  2009. All rights reserved.
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, 
* Agora is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See components/com_agora/COPYRIGHT.php for copyright notices and details.
* visit www.joomlame.com
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

$mainframe->registerEvent( 'onPrepareContent', 'agoraauthorbot');

function agoraauthorbot (&$row, &$params, $page)
{
	$plugin =& JPluginHelper::getPlugin('content', 'agoraauthorbot');
 	$pluginParams = new JParameter( $plugin->params );
	
	$agora_user_prof    = $pluginParams->get('agora_user_prof', 1);
	$catsList           = $pluginParams->get('agora_auth_cats');
	$catsListWl         = $pluginParams->get('agora_auth_catswl', 1);
	$sectList           = $pluginParams->get('agora_auth_sect');
	$sectListWl         = $pluginParams->get('agora_auth_sectwl', 1);
	$artsList           = $pluginParams->get('agora_auth_arts');
	$artsListWl         = $pluginParams->get('agora_auth_artswl', 1);
	
	$runBot 			= 1;
	
	$layout = JRequest::getVar('layout', null);
	$view = JRequest::getVar('view', null);

	// Section White/Black List
	if ($sectList <> '') {
		if($sectListWl && !in_array($row->sectionid, explode(',', $sectList))) {
			$runBot = 0;
		}
		
		if(!$sectListWl && in_array($row->sectionid, explode(',', $sectList))) {
			$runBot = 0;
		}
	}	
	
	// Category White/Black List
	if ($catsList <> ''){
		if($catsListWl && !in_array($row->catid, explode(',', $catsList))) {
			$runBot = 0;
		} /* else if($catsListWl && in_array($row->catid, explode(',', $catsList))) {
			$runBot = 1;
			} */
		
		if($catsListWl < 1 && in_array($row->catid, explode(',', $catsList))) {
			$runBot = 0;
		} 
	}
	 
	// Article White/Black List
		if ($artsList <> '') {
		if($artsListWl && !in_array($row->id, explode(',', $artsList))) {
			$runBot = 0;
		} /* else if($artsListWl && in_array($row->id, explode(',', $artsList))) {
			$runBot = 1;
			} */
		
		if(!$artsListWl && in_array($row->id, explode(',', $artsList))) {
			$runBot = 0;
		}
	}
	
	if ($pluginParams->get('agora_wht_frnt', 0) && $view == 'frontpage' ) {
		$runBot = 1;
	}
	
	
	if (($view == 'frontpage' || $view == 'article') & ($runBot)) {
		
		$ab = agora_authorbot_process (&$row, &$params, $page);
	}
	
	
	if ($agora_user_prof ) {
		
		$regex = '/{aup\s*.*?}/i';
		preg_match_all( $regex, $row->text, $matches );
		$count = count( $matches[0] );
		
		if ( $count ) {
			for ( $i=0; $i < $count; $i++ )
			{
				$aup_name = str_replace( 'aup', '', $matches[0][$i] );
				$aup_name = str_replace( '{', '', $aup_name );
				$aup_name = str_replace( '}', '', $aup_name );
				$aup_name = trim( $aup_name );
		
				$aup_link	= agora_authorbot_aupLink( $aup_name, $style );
				$row->text 	= preg_replace( '{'. $matches[0][$i] .'}', $aup_link, $row->text );
 			} // for
			
		} // if count
	}
	
	$ab .= $row->text;
	$row->text = $ab;

}

function agora_authorbot_aupLink ($aup_name, $params )
{
	
	$db =& JFactory::getDBO();
	
	$query = "SELECT id FROM #__menu WHERE link='index.php?option=com_agora'";
	$db->setQuery($query);
	$agora_Itemid = $db->loadResult();
	
	if (isset($agora_Itemid))
	{
		$agora_profile_path = "index.php?option=com_agora";

				
		$query = "SELECT b.id FROM #__users a, #__agora_users b WHERE a.id = b.jos_id AND (a.username = '". $aup_name ."' OR a.name = '" .$aup_name. "')";

		$db->setQuery($query);
		$agora_userid = $db->loadResult($query);
		
		if($agora_userid != null ) 
		{	
		 	
			$aup_name = agora_authorbot_mkNLink ($aup_name, $agora_userid, $agora_Itemid) ;
		}
	}
	else
	{
		$aup_name = "<font color=\"red\"><b>Warning- no Agora Menu Item set! Please fix this and try again. </b></font>";
	}
	
	return $aup_name;
	
}

function agora_authorbot_process (&$row, &$params, $page) 
{
	global $db, $layout, $view;
	$db =& JFactory::getDBO();
	
		// Get plugin info
	$plugin =& JPluginHelper::getPlugin('content', 'agoraauthorbot');
 	$pluginParams = new JParameter( $plugin->params );
	
	
	$agora_auth_name   = $pluginParams->get('agora_auth_name', 1);
	$agora_auth_lnknm  = $pluginParams->get('agora_auth_lnknm', 1); 
	$agora_auth_lnkAN  = $pluginParams->get('agora_auth_lnkAN', 0);
	$agora_auth_lnkav  = $pluginParams->get('agora_auth_lnkav', 0);	
	$agora_auth_img    = $pluginParams->get('agora_auth_img', 1);	
	$agora_auth_avw    = $pluginParams->get('agora_auth_avw', 0);
	$agora_auth_avh    = $pluginParams->get('agora_auth_avh', 60);
	$agora_auth_avb    = $pluginParams->get('agora_auth_avb', 1);
	$agora_auth_cdate  = $pluginParams->get('agora_auth_cdate', 1);
	$agora_auth_mdate  = $pluginParams->get('agora_auth_mdate', 0);
	$agora_auth_prefix = $pluginParams->get('agora_auth_prefix', 'w ');
	
	$author = ($row->created_by_alias!='' ? $row->created_by_alias : $row->author);
	
	$avatar     = "noavatar_sm.gif";
	$avatarbase = "<img src=\"".JURI::base()."components/com_agora/img/pre_avatars/";
	
	
	$avatarsize = "\"";
	
	if ($agora_auth_avw > 0) {
		$avatarsize .= "width=\"".$agora_auth_avw."\"";
	}
	if ($agora_auth_avh > 0) {
		$avatarsize .= "height=\"".$agora_auth_avh."\"";
	}
	if ($agora_auth_avb > 0) {
		$avatarsize .= "border=\"".$agora_auth_avb."\"";
	}
	
	$avatarsize .= ">";
		
	$authBlok = '';
	$query = "SELECT id FROM #__menu WHERE link='index.php?option=com_agora'";
	$db->setQuery($query);
	$agora_Itemid = $db->loadResult();
	
	if (isset($agora_Itemid))
	{
		$agora_profile_path = "index.php?option=com_agora";
				
		$query = "SELECT b.id FROM #__users a, #__agora_users b WHERE a.id = b.jos_id AND a.id = '". $row->created_by."'";
		
		$db->setQuery($query);
		$agora_userid = $db->loadResult($query);
		
		if($agora_userid != null ) 
		{	
			if (!$row->created_by_alias || $agora_auth_lnkAN ) {
				if ($agora_auth_lnknm && $agora_auth_name) { 
					
						$author = agora_authorbot_mkNLink ($author, $agora_userid, $agora_Itemid);
				}
			}
			
			$avpath = JPATH_BASE .DS."components".DS."com_agora".DS."img".DS."pre_avatars".DS . $agora_userid;
			
			 if ($img_size = @getimagesize($avpath.'.gif')){
				$avatar = $agora_userid.'.gif';
			}
			else if ($img_size = @getimagesize($avpath.'.jpg')){
				$avatar = $agora_userid.'.jpg';
			}
			else if ($img_size = @getimagesize($avpath.'.png')){
				$avatar = $agora_userid.'.png';
			} 
			
			if ($agora_auth_lnkav) {
				$avatar = "<a title=\"Author's Profile\"href=\"index.php?option=com_agora&amp;task=profile&amp;user_id="
				.$agora_userid. "&amp;Itemid=" .$agora_Itemid. "\">". $avatarbase . $avatar . $avatarsize. "</a>";
			}
			else {
				$avatar = $avatarbase . $avatar . $avatarsize ;
			}

		}
			$authBlok .= "<table border=\"0\"  cellpadding=\"0\" cellspacing=\"5\"><tr><td valign=\"top\">";
			if ($agora_auth_img) {
				$authBlok .=  $avatar ;
			}
			$authBlok .= "</td><td valign=\"bottom\"><span class=\"small\">";
			if ($agora_auth_name) {
				$authBlok .= $agora_auth_prefix .' ' . $author ;
			}
			if ($agora_auth_cdate) {
				$date = JHTML::_('date', $row->created);
				$authBlok .= "<br />".$date;
			}
			if ($agora_auth_mdate) {
				if ($row->modified <> $row->created) {
					$date = JHTML::_('date', $row->modified);
					$authBlok .= "<br />Modified: ".$date;
				}
			}
			$authBlok .= "</span></td></tr></table>";
	}
	else
	{
		$authBlok .= "<font color=\"red\"><b>Warning- no Agora Menu Item set! Please fix this and try again. </b></font>";
	}
	
	return $authBlok;
}

function agora_authorbot_mkNLink ($aup_name, $agora_userid, $agora_Itemid) 
{
		$aup_name = "<a title=\"". $aup_name . "'s Profile\" href=\"index.php?option=com_agora&amp;task=profile&amp;user_id="
		.$agora_userid. "&amp;Itemid=" .$agora_Itemid. "\">". $aup_name. "</a>";
		
		return $aup_name;
}
			
?>